<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE appendix PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<appendix id="appendixc" xreflabel="Appendix C">
  <?dbhtml dir="appendices"?>
  <?dbhtml filename="dependencies.html"?>

  <title>依赖关系</title>

  <!--para>Every package built in LFS relies on one or more other packages in
  order to build 和 install properly. Some packages even participate in
  circular dependencies, that is, the first package depends on the second which
  in turn depends on the first. Because of these dependencies, the order in
  which packages are built in LFS is very important. The purpose of this page
  is to document the dependencies of each package built in LFS.</para-->
  <para>LFS 中构建的每个软件包都依赖于一个或多个其他软件包，
	  才能正确地构建和安装。某些软件包甚至存在循环依赖，
	  即第一个软件包依赖于第二个软件包，而第二个软件包反过来又依赖第一个。
	  由于这些依赖关系的存在，在 LFS 中构建软件包的顺序非常关键。
	  本页面的目的就是记录 LFS 中每个软件包构建时的依赖关系。</para>

  <!--para>For each package we build, we have listed three, 以及 sometimes four,
  types of dependencies.  The first lists what other packages need to be
  available in order to compile 和 install the package in question. The second
  lists what packages, in addition to those on the first list, need to be
  available in order to run the test suites. The third list of dependencies are
  packages that require this package to be built 和 installed in its final
  location before they are built 和 installed. In most cases, this is because
  these packages will hard code paths to binaries within their scripts. If not
  built in a certain order, this could result in paths of /tools/bin/[binary]
  being placed inside scripts installed to the final system. This is obviously
  not desirable.</para-->
  <para>对于我们构建的每个软件包，我们都列出了三种甚至四种依赖关系。
	  第一种列出了编译和安装该软件包需要的其他软件包。
	  第二种列出了不属于第一种情况，
	  但在运行该软件包测试套件时需要的其他软件包。
	  第三种列出了在构建和安装前，
	  需要该软件包已经构建并安装到最终位置的其他软件包。
	  多数情况下，这是因为它们会在脚本中硬编码指向二进制程序的路径。
	  如果不按照特定顺序构建，则最终的系统中某个脚本可能包含路径
	  /tools/bin/[二进制程序]，这显然是我们不希望的。</para>

  <!--para>The last list of dependencies are optional packages that are not
  addressed in LFS, but could be useful to the user.  These packages may have
  additional m和atory or optional dependencies of their own.  For these
  dependencies, the recommended practice is to install them after completion of
  the LFS book 和 then go back and rebuild the LFS package.  In several cases,
  re-installation is addressed in BLFS.</para-->
  <para>第四种列出的依赖关系是 LFS 中没有提到的可选软件包，
	  但它们对用户可能很有用。这些软件包本身可能还有必要或可选的依赖关系。
	  对于这些依赖关系，推荐的方法是在完成 LFS 手册后，
	  安装可选依赖项，再重新构建相关的 LFS 软件包。
	  BLFS 提到了几个软件包的重新安装方法。</para>

<!-- Begin Acl dependency info -->
  <bridgehead renderas="sect2" id="acl-dep">acl</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Attr, Bash, Binutils, Coreutils, GCC, Gettext, Grep, M4, Make,
          Perl, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Automake, Diffutils, Findutils, 以及 Libtool</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Coreutils, Sed, Tar, 以及 Vim</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Attr dependency info -->
  <bridgehead renderas="sect2" id="attr-dep">attr</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Grep, M4, Make,
          Perl, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Automake, Diffutils, Findutils, 以及 Libtool</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Acl 和 Libcap</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Autoconf dependency info -->
  <bridgehead renderas="sect2" id="autoconf-dep">Autoconf</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Bash, Coreutils, Grep, M4, Make, Perl, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Automake, Diffutils, Findutils, GCC, 以及 Libtool</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Automake</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Emacs</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Automake dependency info -->
  <bridgehead renderas="sect2" id="automake-dep">Automake</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Autoconf, Bash, Coreutils, Gettext, Grep, M4, Make, Perl,
          Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Binutils, Bison, Bzip2, DejaGNU, Diffutils, Expect, Findutils,
          Flex, GCC, Gettext, Gzip, Libtool, 以及 Tar</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Bash dependency info -->
  <bridgehead renderas="sect2" id="bash-dep">Bash</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Bash, Binutils, Bison, Coreutils, Diffutils, Gawk, GCC, Glibc,
          Grep, Make, Ncurses, Patch, Readline, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Shadow</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Xorg</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Bc dependency info -->
  <bridgehead renderas="sect2" id="bc-dep">Bc</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Bash, Binutils, Bison, Coreutils, GCC, Glibc,
          Grep, Make, 以及 Readline</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Gawk</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Linux Kernel</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Binutils dependency info -->
  <bridgehead renderas="sect2" id="binutils-dep">Binutils</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, File, Gawk, GCC, Glibc, Grep,
         Make, Perl, Sed, Texinfo，以及 Zlib</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>DejaGNU 和 Expect</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Bison dependency info -->
  <bridgehead renderas="sect2" id="bison-dep">Bison</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc,
         Grep, M4, Make, Perl, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils, Findutils, 以及 Flex</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Kbd 和 Tar</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Doxygen (test suite)</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Bzip2 dependency info -->
  <bridgehead renderas="sect2" id="bzip2-dep">Bzip2</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Make,
         以及 Patch</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Check dependency info -->
  <bridgehead renderas="sect2" id="check-dep">Check</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>GCC, Grep, Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Coreutils dependency info -->
  <bridgehead renderas="sect2" id="coreutils-dep">Coreutils</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, GMP, Grep, Make,
         Patch, Perl, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils, E2fsprogs, Findutils, Shadow, 以及 Util-linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Bash, Diffutils, Findutils, 以及 Man-DB</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Perl Expect 和 IO:Tty modules (for test suite)</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin D-Bus dependency info -->
<!--
  <bridgehead renderas="sect2" id="dbus-dep">D-Bus</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
         Make, Sed, 以及 Util-linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Xorg Libs</seg>
        </seglistitem>
      </segmentedlist>
-->
<!-- Begin DejaGNU dependency info -->
  <bridgehead renderas="sect2" id="dejagnu-dep">DejaGNU</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Coreutils, Diffutils, GCC, Grep, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Diffutils dependency info -->
  <bridgehead renderas="sect2" id="diffutils-dep">Diffutils</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Bash, Binutils, Coreutils, Gawk, GCC, Gettext, Glibc, Grep,
          Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Eudev dependency info -->
  <bridgehead renderas="sect2" id="eudev-dep">Eudev</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, Gperf,
         Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Expat dependency info -->
  <bridgehead renderas="sect2" id="expat-dep">Expat</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep,
         Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>XML::Parser</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Expect dependency info -->
  <bridgehead renderas="sect2" id="expect-dep">Expect</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
         Patch, Sed, 以及 Tcl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin E2fsprogs dependency info -->
  <bridgehead renderas="sect2" id="e2fsprogs-dep">E2fsprogs</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
         Gzip, Make, Sed, Texinfo, 以及 Util-linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Procps-ng 和 Psmisc</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin File dependency info -->
  <bridgehead renderas="sect2" id="file-dep">File</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
          Make, Sed, 以及 Zlib</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Findutils dependency info -->
  <bridgehead renderas="sect2" id="findutils-dep">Findutils</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
         Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>DejaGNU, Diffutils, 以及 Expect</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Flex dependency info -->
  <bridgehead renderas="sect2" id="flex-dep">Flex</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, M4, Make,
         Patch, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Bison 和 Gawk</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>IPRoute2, Kbd, 以及 Man-DB</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Gawk dependency info -->
  <bridgehead renderas="sect2" id="gawk-dep">Gawk</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, GMP, Grep, Make,
         MPFR, Patch, Readline, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Gcc dependency info -->
  <bridgehead renderas="sect2" id="gcc-dep">Gcc</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
         Gettext, Glibc, GMP, Grep, M4, Make, MPC, MPFR, Patch, Perl, Sed, Tar,
         以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>DejaGNU 和 Expect</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg><ulink url="http://gcc.gnu.org/wiki/Graphite">CLooG-PPL</ulink>,
               <ulink url="http://gcc.gnu.org/wiki/GNAT">GNAT</ulink>, 以及
               <ulink url="http://gcc.gnu.org/wiki/Graphite">PPL</ulink></seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin GDBM dependency info -->
  <bridgehead renderas="sect2" id="gdbm">GDBM</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Grep, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Gettext dependency info -->
  <bridgehead renderas="sect2" id="gettext-dep">Gettext</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, Make,
         Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils, Perl, 以及 Tcl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Automake</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Glibc dependency info -->
  <bridgehead renderas="sect2" id="glibc-dep">Glibc</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Gettext,
         Grep, Gzip, Linux API Headers, Make, Perl, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>File</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin GMP dependency info -->
  <bridgehead renderas="sect2" id="gmp-dep">GMP</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep, M4, Make,
         Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>MPFR 和 GCC</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Gperf dependency info -->
  <bridgehead renderas="sect2" id="gperf-dep">Gperf</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, 以及 Make</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils 和 Expect</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Grep dependency info -->
  <bridgehead renderas="sect2" id="grep-dep">Grep</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep,
         Make, Patch, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Gawk</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Man-DB</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Pcre</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Groff dependency info -->
  <bridgehead renderas="sect2" id="groff-dep">Groff</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils,  Gawk, GCC, Glibc, Grep, Make,
         Patch, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Man-DB 和 Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>GPL Ghostscript</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin GRUB dependency info -->
  <bridgehead renderas="sect2" id="grub-dep">GRUB</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils, GCC, Gettext, Glibc,
         Grep, Make, Ncurses, Sed, Texinfo, 以及 Xz</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Gzip dependency info -->
  <bridgehead renderas="sect2" id="gzip-dep">Gzip</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make,
         Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils 和 Less</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Man-DB</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Iana-Etc dependency info -->
  <bridgehead renderas="sect2" id="iana-etc-dep">Iana-Etc</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Coreutils, Gawk, 以及 Make</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Inetutils dependency info -->
  <bridgehead renderas="sect2" id="inetutils-dep">Inetutils</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Ncurses,
         Patch, Sed, Texinfo, 以及 Zlib</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Tar</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Intltool dependency info -->
  <bridgehead renderas="sect2" id="intltool-dep">Intltool</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Gawk, Glibc, Make, Perl, Sed, 以及 XML::Parser</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin IProute2 dependency info -->
  <bridgehead renderas="sect2" id="iproute2-dep">IProute2</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Bison, Coreutils, Flex, GCC, Glibc, Make,
         以及 Linux API Headers</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Kbd dependency info -->
  <bridgehead renderas="sect2" id="kbd-dep">Kbd</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Bison, Check, Coreutils, Flex, GCC, Gettext,
         Glibc, Gzip, Make, Patch, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Kmod dependency info -->
  <bridgehead renderas="sect2" id="kmod-dep">Kmod</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Flex, GCC, Gettext, Glibc,
         Gzip, Make, Sed, Xz-Utils, 以及 Zlib</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Eudev</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Less dependency info -->
  <bridgehead renderas="sect2" id="less-dep">Less</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
         Ncurses, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Gzip</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Pcre</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Libcap dependency info -->
  <bridgehead renderas="sect2" id="libcap-dep">Libcap</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Attr, Bash, Binutils, Coreutils, GCC, Glibc, Perl, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Linux-PAM</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Libffi dependency info -->
  <bridgehead renderas="sect2" id="libffi-dep">Libffi</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>DejaGnu</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Python</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Libpipeline dependency info -->
  <bridgehead renderas="sect2" id="libpipeline-dep">Libpipeline</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
         Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Check</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Man-DB</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Libtool dependency info -->
  <bridgehead renderas="sect2" id="libtool-dep">Libtool</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
         Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Autoconf, Automake, 以及 Findutils</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Linux Kernel dependency info -->
  <bridgehead renderas="sect2" id="linux-dep">Linux Kernel</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Bc, Binutils, Coreutils, Diffutils, Findutils, GCC,
         Glibc, Grep, Gzip, Kmod, Make, Ncurses, OpenSSL, Perl, 以及
         Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin M4 dependency info -->
  <bridgehead renderas="sect2" id="m4-dep">M4</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Sed, 以及
         Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Autoconf 和 Bison</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>libsigsegv</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Make dependency info -->
  <bridgehead renderas="sect2" id="make-dep">Make</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep,
         Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Perl 和 Procps-ng</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Man-DB dependency info -->
  <bridgehead renderas="sect2" id="man-db-dep">Man-DB</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Bzip2, Coreutils, Flex, GCC, GDBM, Gettext,
         Glibc, Grep, Groff, Gzip, Less, Libpipeline, Make, Sed, 以及 Xz</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Util-linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Man-Pages dependency info -->
  <bridgehead renderas="sect2" id="man-pages-dep">Man-Pages</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Coreutils, 以及 Make</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Meson dependency info -->
  <bridgehead renderas="sect2" id="meson-dep">Meson</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Ninja 和 Python</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin MPC dependency info -->
  <bridgehead renderas="sect2" id="mpc-dep">MPC</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep, GMP,
         Make, MPFR, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>GCC</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin MPFR dependency info -->
  <bridgehead renderas="sect2" id="mpfr-dep">MPFR</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep, GMP,
         Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Gawk 和 GCC</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Ncurses dependency info -->
  <bridgehead renderas="sect2" id="ncurses-dep">Ncurses</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
         Make, Patch, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Bash, GRUB, Inetutils, Less, Procps-ng, Psmisc, Readline,
          Texinfo, Util-linux, 以及 Vim</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Ninja dependency info -->
  <bridgehead renderas="sect2" id="ninja-dep">Ninja</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Binutils, Coreutils, Gcc, 以及 Python</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Meson</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Asciidoc, Doxygen, Emacs, 以及 re2c</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Openssl dependency info -->
  <bridgehead renderas="sect2" id="openssl-dep">Openssl</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Binutils, Coreutils, Gcc, Make, 以及 Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Patch dependency info -->
  <bridgehead renderas="sect2" id="patch-dep">Patch</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Ed</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Perl dependency info -->
  <bridgehead renderas="sect2" id="perl-dep">Perl</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, GDBM, Glibc, Grep,
         Groff, Make, Sed, 以及 Zlib</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Iana-Etc 和 Procps-ng</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Autoconf</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Pkg-config dependency info -->
  <bridgehead renderas="sect2" id="pkgconfig-dep">Pkg-config</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, Make,
         Popt, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Kmod</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Popt dependency info -->
  <bridgehead renderas="sect2" id="popt-dep">Popt</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, 以及 Make</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils 和 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Pkg-config</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Procps dependency info -->
  <bridgehead renderas="sect2" id="procps-dep">Procps-ng</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make, 以及 Ncurses</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>DejaGNU</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Psmisc dependency info -->
  <bridgehead renderas="sect2" id="psmisc-dep">Psmisc</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
        <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
	     Ncurses, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Python dependency info -->
  <bridgehead renderas="sect2" id="python-dep">Python</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gdbm, Gettext, Glibc, Grep, 
         Libffi, Make, Ncurses, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>GDB 和 Valgrind</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Ninja</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Berkeley DB, OpenSSL, SQLite, 以及 Tk</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Readline dependency info -->
  <bridgehead renderas="sect2" id="readline-dep">Readline</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, Make, Ncurses,
         Patch, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Bash 和 Gawk</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Sed dependency info -->
  <bridgehead renderas="sect2" id="sed-dep">Sed</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
         Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Diffutils 和 Gawk</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>E2fsprogs, File, Libtool, 以及 Shadow</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Shadow dependency info -->
  <bridgehead renderas="sect2" id="shadow-dep">Shadow</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
         Gettext, Glibc, Grep, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Coreutils</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Acl, Attr, Cracklib, 以及 PAM</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Sysklogd dependency info -->
  <bridgehead renderas="sect2" id="sysklogd-dep">Sysklogd</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Binutils, Coreutils, GCC, Glibc, Make, 以及 Patch</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin systemd dependency info -->
  <bridgehead renderas="sect2" id="systemd-dep">Systemd</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Acl, Attr, Bash, Binutils, Coreutils, Diffutils, Expat, Gawk,
         GCC, Glibc, Gperf, Grep, Intltool, Libcap,
         Make, Sed, 以及 Util-linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Sysvinit dependency info -->
  <bridgehead renderas="sect2" id="sysvinit-dep">Sysvinit</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Binutils, Coreutils, GCC, Glibc, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>没有可用的测试套件</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Tar dependency info -->
  <bridgehead renderas="sect2" id="tar-dep">Tar</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Acl, Attr, Bash, Binutils, Bison, Coreutils, GCC, Gettext, Glibc,
         Grep, Inetutils, Make, Sed, 以及 Texinfo</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Autoconf, Diffutils, Findutils, Gawk, 以及 Gzip</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Tcl dependency info -->
  <bridgehead renderas="sect2" id="tcl-dep">Tcl</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep,
         Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Texinfo dependency info -->
  <bridgehead renderas="sect2" id="texinfo-dep">Texinfo</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
         Ncurses, Patch, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Util-linux dependency info -->
  <bridgehead renderas="sect2" id="util-linux-dep">Util-linux</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
         Gettext, Glibc, Grep, Make, Ncurses, Sed, Eudev, 以及 Zlib</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg><ulink url="https://people.redhat.com/sgrubb/libcap-ng/">libcap-ng</ulink></seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Vim dependency info -->
  <bridgehead renderas="sect2" id="vim-dep">Vim</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Acl, Attr, Bash, Binutils, Coreutils, Diffutils, GCC, Glibc,
         Grep, Make, Ncurses, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>Xorg, GTK+2, LessTif, Python, Tcl, Ruby, 以及 GPM</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin XML::Parser dependency info -->
  <bridgehead renderas="sect2" id="xml-parser-dep">XML::Parser</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Expat, GCC, Glibc, Make, 以及 Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>Perl</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Intltool</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Xz-utils dependency info -->
  <bridgehead renderas="sect2" id="xz-dep">Xz</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, 以及 Make.</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>Eudev, GRUB, Kmod, 以及 Man-DB</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

<!-- Begin Zlib dependency info -->
  <bridgehead renderas="sect2" id="zlib-dep">Zlib</bridgehead>

      <segmentedlist>
        <segtitle>&dependencies;</segtitle>

        <seglistitem>
         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make, 以及 Sed</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&testsuites;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&before;</segtitle>

        <seglistitem>
          <seg>File, Kmod, Perl, 以及 Util-linux</seg>
        </seglistitem>
      </segmentedlist>

      <segmentedlist>
        <segtitle>&external;</segtitle>

        <seglistitem>
          <seg>无</seg>
        </seglistitem>
      </segmentedlist>

</appendix>
